"unsupported architecture type"

"unsupported architecture type"

i have the message "unsupported architecture type" when i select  an hardware event-base sampling test type.
i have vtune 2011, w7, intel core i7 2600, visual studio 2008.
I run visual as admin from "All Programs>Intel Parallel Studio XE 2011> visual..

what's wrong ?

publicaciones de 14 / 0 nuevos
Último envío
Para obtener más información sobre las optimizaciones del compilador, consulte el aviso sobre la optimización.

If your VTune is more than 2 years old and doesn't have available the sandy bridge corei7-2 architecture selection, you will need to upgrade.  The later updates of 2011, as well as all 2013 versions, would support this architecture.

For corei7-3 "ivy bridge" the latest update of VTune 2013 would be required.

Yes, all hardware-based sampling analysis types rely on the event counters within the processor and, thus, you must have a version of the product that supports the processor you are running on.

And, actually, in the newer releases the product will not even let you select an analysis type for any other architecture other than the one the product is running on.  If your architecture is unsupported, you would not be able to select a hardware-based analysis type.

But, bottom line, new processor requires new VTune Amplifier XE release.

Regards,
MrAnderson

ok, i will instale update 10

tnx

Do you know which processor you are running on?  The latest release is version 2013 Update 12.  If you have a very recent processor, you may require that release.

Regards,
MrAnderson

i installed the updtae 10 for VTune 2011 and now i can launch all tests.

thanks,

How can we find which processor to which release, i want to get the CPI value on i7 processor. but cant figure out which version should have. 

@mahesh

Please - always use latest update (now it is 2015 XE U1) which supports all released processors. Otherwise, you need to check releasenotes in the product. 

@peter thanks. actually i have vtune 2011, just needed to know properly "can't i see CPI using vtune 2011 on my i7 processor?" where to see for that information?. release note does not given me the answer. and tutorial is saying lightweight hotspot can view the CPI (Which given me the 'unsupported architecture type' massage). so i am stucked 

@mahesh

2011 version was out-of-life with technical support. I don't know if your vtune version can support i7 processor.

You can use: (maybe use "amplxe-runsa" instead of "amplxe-runss")

# amplxe-runss -event-list | grep CPU_CLK_;  find supported events for CPU clocks.

# amplxe-runss -event-list | grep INST_RETIRED

In my case, there are event counters: INST_RETIRED.ANY, CPU_CLK_UNHALTED.THREAD

Actually CPI value = CPU_CLK_UNHALTED.THREAD / INST_RETIRED.ANY 

 

@peter thank you very much again 

I am a Windows user. 

amplxe-runss didn't identify '-event-list' option .

'amplxe-runsa -event-list' said "unknown architecture -abort sampling run"

does that mean my vtune version doesn't match with my processor ? or did i do anything wrong.

 

Version 2011 is too early(support Core(TM) 2 processors)...I remember that 2013 version might support i7 processor, but current version is 2015.

Why don't you try latest trial version, or buy this new one?

Thanks. I wanted to clarify that whether i can or not with the current version(before throw extra money). Now I know i7 support for only hotspot, Locks and wait and Hotspots by Thread Concurrency analyzing types. to see the CPI, have to buy new version
 

Exactly, user-mode sampling collections(basic hotspots, concurrency, lockswandwaits) don't depend on hardware. 

Deje un comentario

Por favor inicie sesión para agregar un comentario. ¿No es socio? Únase ya